> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# List Organization-Level Connect configurations

GET https://api-d.docusign.net/Management/v2/organizations/{organizationId}/connect

Returns an array of the definitions of each [Organization-Level Connect configuration](/platform/webhooks/connect/org-level-connect/) created for an organization.

Required scopes: `connect_org_config_read_api`

Reference: https://developers.docusign.com/docs/admin-api/reference/organization/connect/getorganizationconnectconfigs

## Authentication

- `Authorization` header (bearer token, required) — OAuth2 Access code Grant

## Servers

- `https://api-d.docusign.net/Management` (Demo, default)
- `https://api.docusign.net/Management` (Production)

## Request

### Path parameters

- `organizationId` (string, required) — The GUID ID of the organization owning the Organization-Level Connect configurations.

### Query parameters

- `sortBy` (string, optional) — Sorts configurations by the specified definition field in ascending order. Defaults to `name`, if not set.
- `siteId` (integer, optional) — Returns only configurations with the specified `siteId`.
- `accountId` (string, optional) — Returns only configurations that apply to the specified `accountId`.
- `allowEnvelopePublish` (boolean, optional) — Returns only configurations that do (true) or do not (false) allow [envelope publishing](/docs/esign-rest-api/reference/envelopes/envelopepublish/).
- `q` (string, optional) — Returns only configurations that have the `connectId` or `name` provided in the query parameter.

## Response

### 200

OK

- `configurations` (list of OrganizationConnectConfigResponse, optional)
- `totalSetSize` (integer, optional)
- `errorDetail` (ErrorDetail, optional)

## Types

### OrganizationConnectConfigResponse

- `connectId` (string, optional)
- `configurationType` (string, optional)
- `disabledBy` (string, optional)
- `allowSalesforcePublish` (string, optional)
- `name` (string, optional)
- `accountId` (string, optional)
- `accountName` (string, optional)
- `allowEnvelopePublish` (string, optional)
- `siteId` (integer, optional)
- `pausePublish` (string, optional)
- `requiresAcknowledgement` (string, optional)

### ErrorDetail

- `errorMessage` (string, optional)
- `referenceId` (string, optional)

## Examples

**Response**

```json
{
  "configurations": [
    {
      "connectId": "string",
      "configurationType": "string",
      "disabledBy": "string",
      "allowSalesforcePublish": "string",
      "name": "string",
      "accountId": "string",
      "accountName": "string",
      "allowEnvelopePublish": "string",
      "siteId": 1,
      "pausePublish": "string",
      "requiresAcknowledgement": "string"
    }
  ],
  "totalSetSize": 1,
  "errorDetail": {
    "errorMessage": "string",
    "referenceId": "string"
  }
}
```